package conta;

import pessoa.Pessoa;

public class Conta {
    private Pessoa titular;
    private int numero;
    private double saldo;

    public Conta(int numero, Pessoa titular){
        this.numero = numero;
    }

    public Conta(int numero, Pessoa titular, double saldoInicial){
        this.numero = numero;
        this.depositar(saldoInicial);

    }

    public boolean sacar(double valorSaque) {
        if (this.saldo >= valorSaque) {
            this.saldo = this.saldo - valorSaque;
            return true;
        }
        return false;
    }

    public void depositar ( double valorDeposito)
    {
        this.saldo = this.saldo + valorDeposito;
    }

    public boolean transferir (Conta contaDestino,double valorATransferir){
        boolean foiPossivelSacar = this.sacar(valorATransferir);
        if(foiPossivelSacar){
            contaDestino.depositar(valorATransferir);
            return true;
        }
        return false;
    }

    public double getSaldo(){
        return this.saldo;
    }

    public int getNumero(){
        return numero;
    }

    public Pessoa getTitular() {
        return titular;
    }

    public void setTitular(Pessoa titular) {
        this.titular = titular;
    }
}

